summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dosym
diff options
context:
space:
mode:
authorDror Levin <spatz@gentoo.org>2010-05-26 23:23:38 +0300
committerZac Medico <zmedico@gentoo.org>2010-08-12 01:39:43 -0700
commit65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c (patch)
treef7f1bd8c5215758ec7e21c8ec8eb0ba725688c63 /bin/ebuild-helpers/dosym
parentef30f84cc7e91bf777f505384dd9869606d4dc5f (diff)
downloadportage-65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c.tar.gz
portage-65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c.tar.bz2
portage-65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c.zip
Make utilities die on failure in EAPI 4, bug 273651
Diffstat (limited to 'bin/ebuild-helpers/dosym')
-rwxr-xr-xbin/ebuild-helpers/dosym9
1 files changed, 7 insertions, 2 deletions
diff --git a/bin/ebuild-helpers/dosym b/bin/ebuild-helpers/dosym
index 52defbe85..1015a28e5 100755
--- a/bin/ebuild-helpers/dosym
+++ b/bin/ebuild-helpers/dosym
@@ -2,12 +2,17 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
+
if [[ $# -ne 2 ]] ; then
- echo "$0: two arguments needed" 1>&2
+ helpers_die "$0: two arguments needed"
exit 1
fi
destdir=${2%/*}
[[ ! -d ${D}${destdir} ]] && dodir "${destdir}"
-exec ln -snf "$1" "${D}$2"
+ln -snf "$1" "${D}$2"
+ret=$?
+[[ $ret -ne 0 ]] && helpers_die "$0 failed"
+exit $ret